Subject: notes

From: Michael Richardson <[email-masked]>
Date: Tue, 15 Jul 2003 09:36:05 +0200

-----BEGIN PGP SIGNED MESSAGE-----

The notes that I took:

SEND WG
IETF 57 Vienna
Monday July 14, 2003.

- - Implementation report. (Pekka- FreeBSD)

  Directly mixing CGA/AH is a bad idea.
  Takes too long to generate CGA - do not put into kernel.
  Would fit into PF_KEY okay for AH.

- - Implementation report (Wood - Linux)

  - 2.5 IPsec implementation.
  - efficiency/modularity
  - packet processing happens in interrupt context - SEND RSA, ASN.1,
    cert retrival.
  - hard to offload AH or extension processing, hard to offload
    these tasks to kernel thread or userspace.

  - little work is saved by using IPsec.

  MCR: 2.5 IPsec does not do crypto-hardware offload. This would
       likely result in a much cleaner API for Linux.

  Pekka: maybe someone could do OpenBSD, which has hardware
	 offload already!

  Hinden: concerned about sec==1/sec==2 for small devices.
  James: sec==0 is microseconds.
  Pekka: CGA computation can be offloaded, and only need to be
	 done when you change your public key.

- - two IPR claims.
  - Ericsson released IPRs before IETF56
  - Microsoft has released IPRs recently.
  - no other IPR claims.

  POLL: is it okay to CGA then?
  silence from group - okay to use CGA.

- - issues in the SEND base document

  - certificate-only ND protection
  - MCR: can you explain?
    Jari: this would be just between hosts, not between routers/hosts.
  
  - XXX: maybe we should have the messages, but mandate only
	 that you have NAK - I do not have the certificate chain.
    later could mean - never!
  - Osi - agree with the chairs, to drop this now.

  - Is CGA-only RD protection useful?
  - heuristic - if the packets seem to be routed, then believe it.
  - simplify: just keep certificate based RD protection

  - MCR: maybe the draft should be split up?
  - James Kempf: 2461 - was not split up.
  
- - with certificates, someone else can say that the default route
  is "you", and force traffic to you. CGA protects against this.

- - discussion of a threat, where one can man-in-the-middle,
  vs ability to spam a third party.

- - certificates prove the prefix, CGA the identity of the router.

- - milisecond granularity
  - MCR - 1/64K seconds.
  - 

- - certificate details
  - attribute certificates
  - just use the "objecthash" as the issuer in 3281.
  - Russ Housley - I'm struggling to understand what you want to
		 bind the attribute to. Can someone explain this?

  - Pekka - you have a chain of ISPs, and you have some higher
	  level ISPs, and delegation of routers. ISP A is tier-1,
	  ISP B is a customer of ISP A (a tier-2), and customer
	  is a third level, and the customer has levels of routers.

	  The name of the ISP is *NOT* important. Only the prefix
	  itself is important!

  - Russ says his question was not answered.
    {MCR - I didn't understand the question then either!}

  - Nobody likes PKCs.

- - IPsec or ND options
  - AD/Jari have proposed moving to ND options
  - Pekka proposes to move CGA into a seperate extension header.
  - but first, some discussion rules and goals.

RULES:
	Two microphones
	- first one for primary comments.
	- second one for followups.

	3 minutes for each initial comment
	- after that commentator must move to the followup microphone.
	
QUESTIONS
	1) if SEND was based on IPsec AH, should we use
	   a) a large AH header carrying the key.
	   b) a seperate CGA and AH headers

	2) should SEND be designed on
	   a) IPsec AH, using (a) or (b) from above.
	   b) ND options (draft-arkko-send-ndopt-00.txt)

Presentations

1) NDopt-00
2) CGA seperate from AH header.

   MCR comments:
   1) prefer AH philosophically.
   2) scope of effort - SEND, or PK-AH, ND as first user.
   3) in-line vs SKIP 
   4) order of processing.

- -
2nd guy: difference in functionality.
    - ndopt- nodes can have clocks that are not-synchronized as well as for AH.
      Pekka - I believe that the sender can actually say they have no
	      clock, and their risk is in fact theirs.
 
    - Erik - generality question. Using CGA/anycast?
	   - CGA/AH protects the wrong address, the address is in fact
	     in the packet somewhere.
	    
    - Steve Bellovin - says that AH is useless in 1995.
	    has no utility. 2461 didn't do the hard work!
	    Just use "IPsec" is just wrong.

	    Until we do the hard work, it is never clear that it
	    the AH/IPsec solution will work.

    - Bob Hinden - putting it into ND is easier, simpler transition.

Call for consensus:
	0 people for (1a)
	20 people for (1b)
    
	0 people for (2a)
	34 people for (2b)    

--------------------------------------------------------------------
To unsubscribe from this list, send email with "UNSUBSCRIBE" in the
body to <[email-masked]>.
Archive: http://standards.ericsson.net/lists/ietf-send/maillist.html
--------------------------------------------------------------------